Browse Source

Add test script and expected results

Georgi Chorbadzhiyski 8 years ago
parent
commit
0d4209287a
3 changed files with 898 additions and 0 deletions
  1. 2 0
      .gitignore
  2. 875 0
      tstest.test.expect
  3. 21 0
      tstest_valgrind

+ 2 - 0
.gitignore View File

@@ -1,3 +1,5 @@
1 1
 *.o
2 2
 *.a
3 3
 tstest
4
+tstest-*-valgrind.log
5
+tstest.test.now

+ 875 - 0
tstest.test.expect View File

@@ -0,0 +1,875 @@
1
+PAT table
2
+*** tei:0 pusi:1 prio:0 pid:0000 (0) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
3
+  * Section header
4
+    - Table id           : 000 (0) program_association_section
5
+    - Section length     : 009 (9)
6
+    - TS ID / Program No : 7878 (30840)
7
+    - Version number 1, current next 1, section number 0, last section number 0
8
+    - CRC 0xc26ec958
9
+    - Private vars       : num_packets:1 section_pos:0
10
+  * PAT data
11
+    * num_programs: 0
12
+   **** PAT (tspacket->struct) generator is correct ****
13
+   **** PAT (struct->tspacket) generator is correct ****
14
+PAT table
15
+*** tei:0 pusi:1 prio:0 pid:0000 (0) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
16
+  * Section header
17
+    - Table id           : 000 (0) program_association_section
18
+    - Section length     : 015 (21)
19
+    - TS ID / Program No : 7878 (30840)
20
+    - Version number 4, current next 1, section number 0, last section number 0
21
+    - CRC 0x89627b9e
22
+    - Private vars       : num_packets:1 section_pos:0
23
+  * PAT data
24
+    * num_programs: 3
25
+      * [01/03]: Program No 0x0001 (    1) -> PID 0100 (256) /res: 0x07/
26
+      * [02/03]: Program No 0x0002 (    2) -> PID 0100 (256) /res: 0x07/
27
+      * [03/03]: Program No 0x0003 (    3) -> PID 0100 (256) /res: 0x07/
28
+   **** PAT (tspacket->struct) generator is correct ****
29
+   **** PAT (struct->tspacket) generator is correct ****
30
+!!! Found program 0x0002 (2) for deleting.
31
+PAT table
32
+*** tei:0 pusi:1 prio:0 pid:0000 (0) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
33
+  * Section header
34
+    - Table id           : 000 (0) program_association_section
35
+    - Section length     : 011 (17)
36
+    - TS ID / Program No : 7878 (30840)
37
+    - Version number 5, current next 1, section number 0, last section number 0
38
+    - CRC 0x78dedb30
39
+    - Private vars       : num_packets:1 section_pos:0
40
+  * PAT data
41
+    * num_programs: 2
42
+      * [01/02]: Program No 0x0001 (    1) -> PID 0100 (256) /res: 0x07/
43
+      * [02/02]: Program No 0x0003 (    3) -> PID 0100 (256) /res: 0x07/
44
+   **** PAT (tspacket->struct) generator is correct ****
45
+   **** PAT (struct->tspacket) generator is correct ****
46
+!!! Found program 0x0003 (3) for deleting.
47
+PAT table
48
+*** tei:0 pusi:1 prio:0 pid:0000 (0) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
49
+  * Section header
50
+    - Table id           : 000 (0) program_association_section
51
+    - Section length     : 00d (13)
52
+    - TS ID / Program No : 7878 (30840)
53
+    - Version number 6, current next 1, section number 0, last section number 0
54
+    - CRC 0xa6a08812
55
+    - Private vars       : num_packets:1 section_pos:0
56
+  * PAT data
57
+    * num_programs: 1
58
+      * [01/01]: Program No 0x0001 (    1) -> PID 0100 (256) /res: 0x07/
59
+   **** PAT (tspacket->struct) generator is correct ****
60
+   **** PAT (struct->tspacket) generator is correct ****
61
+PAT table
62
+*** tei:0 pusi:1 prio:0 pid:0000 (0) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
63
+  * Section header
64
+    - Table id           : 000 (0) program_association_section
65
+    - Section length     : 035 (53)
66
+    - TS ID / Program No : 7878 (30840)
67
+    - Version number 16, current next 1, section number 0, last section number 0
68
+    - CRC 0x83076570
69
+    - Private vars       : num_packets:1 section_pos:0
70
+  * PAT data
71
+    * num_programs: 11
72
+      * [01/11]: Program No 0x0001 (    1) -> PID 0100 (256) /res: 0x07/
73
+      * [02/11]: Program No 0x000a (   10) -> PID 0032 (50) /res: 0x07/
74
+      * [03/11]: Program No 0x000b (   11) -> PID 003c (60) /res: 0x07/
75
+      * [04/11]: Program No 0x000c (   12) -> PID 0046 (70) /res: 0x07/
76
+      * [05/11]: Program No 0x000d (   13) -> PID 0050 (80) /res: 0x07/
77
+      * [06/11]: Program No 0x000e (   14) -> PID 005a (90) /res: 0x07/
78
+      * [07/11]: Program No 0x000f (   15) -> PID 0064 (100) /res: 0x07/
79
+      * [08/11]: Program No 0x0010 (   16) -> PID 006e (110) /res: 0x07/
80
+      * [09/11]: Program No 0x0011 (   17) -> PID 0078 (120) /res: 0x07/
81
+      * [10/11]: Program No 0x0012 (   18) -> PID 0082 (130) /res: 0x07/
82
+      * [11/11]: Program No 0x0013 (   19) -> PID 008c (140) /res: 0x07/
83
+   **** PAT (tspacket->struct) generator is correct ****
84
+   **** PAT (struct->tspacket) generator is correct ****
85
+SDT table
86
+*** tei:0 pusi:1 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
87
+  * Section header
88
+    - Table id           : 042 (66) service_description_section - actual_transport_stream
89
+    - Section length     : 022 (34)
90
+    - TS ID / Program No : 0002 (2)
91
+    - Version number 1, current next 1, section number 0, last section number 0
92
+    - CRC 0xb29c01b7
93
+    - Private vars       : num_packets:1 section_pos:0
94
+  * SDT data
95
+    * PID         : 0011 (17)
96
+    * org_net_id  : 0001 (1)
97
+    * reserved    : 255
98
+    * num_streams : 1
99
+    * [01/01] Service_id: 03ef (1007) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 17/
100
+        * Tag 0x48 (72), sz: 15, Service descriptor:
101
+        *   Service type : digital tv service
102
+        *   Provider name: "BULSATCOM" (size: 9)
103
+        *   Service name : "bTV" (size: 3)
104
+   **** SDT (tspacket->struct) generator is correct ****
105
+   **** SDT (struct->tspacket) generator is correct ****
106
+SDT no space left, max 4093, current 4027 will become 4132!
107
+SDT no space left, max 4093, current 4052 will become 4139!
108
+SDT no space left, max 4093, current 4052 will become 4157!
109
+SDT no space left, max 4093, current 4077 will become 4164!
110
+SDT no space left, max 4093, current 4077 will become 4182!
111
+SDT no space left, max 4093, current 4077 will become 4102!
112
+SDT no space left, max 4093, current 4077 will become 4164!
113
+SDT no space left, max 4093, current 4077 will become 4182!
114
+SDT no space left, max 4093, current 4077 will become 4102!
115
+SDT no space left, max 4093, current 4077 will become 4164!
116
+SDT no space left, max 4093, current 4077 will become 4182!
117
+SDT no space left, max 4093, current 4077 will become 4102!
118
+SDT no space left, max 4093, current 4077 will become 4164!
119
+SDT no space left, max 4093, current 4077 will become 4182!
120
+SDT no space left, max 4093, current 4077 will become 4102!
121
+SDT no space left, max 4093, current 4077 will become 4164!
122
+SDT no space left, max 4093, current 4077 will become 4182!
123
+SDT no space left, max 4093, current 4077 will become 4102!
124
+SDT table
125
+*** tei:0 pusi:1 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
126
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
127
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
128
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
129
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
130
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
131
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
132
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
133
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
134
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
135
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
136
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
137
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
138
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
139
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
140
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
141
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
142
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
143
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
144
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
145
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
146
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
147
+*** tei:0 pusi:0 prio:0 pid:0011 (17) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
148
+  * Section header
149
+    - Table id           : 042 (66) service_description_section - actual_transport_stream
150
+    - Section length     : fed (4077)
151
+    - TS ID / Program No : 0002 (2)
152
+    - Version number 1, current next 1, section number 0, last section number 0
153
+    - CRC 0x6a25fac9
154
+    - Private vars       : num_packets:23 section_pos:0
155
+  * SDT data
156
+    * PID         : 0011 (17)
157
+    * org_net_id  : 0001 (1)
158
+    * reserved    : 255
159
+    * num_streams : 58
160
+    * [01/58] Service_id: 03ef (1007) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 17/
161
+        * Tag 0x48 (72), sz: 15, Service descriptor:
162
+        *   Service type : digital tv service
163
+        *   Provider name: "BULSATCOM" (size: 9)
164
+        *   Service name : "bTV" (size: 3)
165
+    * [02/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
166
+        * Tag 0x48 (72), sz: 80, Service descriptor:
167
+        *   Service type : digital radio service
168
+        *   Provider name: "PROVIDER" (size: 8)
169
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
170
+    * [03/58] Service_id: 000d (13) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 100/
171
+        * Tag 0x48 (72), sz: 98, Service descriptor:
172
+        *   Service type : digital radio service
173
+        *   Provider name: "PROddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddVIDER" (size: 88)
174
+        *   Service name : "SERVICE" (size: 7)
175
+    * [04/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
176
+        * Tag 0x48 (72), sz: 18, Service descriptor:
177
+        *   Service type : digital radio service
178
+        *   Provider name: "PROVIDER" (size: 8)
179
+        *   Service name : "SERVICE" (size: 7)
180
+    * [05/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
181
+        * Tag 0x48 (72), sz: 80, Service descriptor:
182
+        *   Service type : digital radio service
183
+        *   Provider name: "PROVIDER" (size: 8)
184
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
185
+    * [06/58] Service_id: 000d (13) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 100/
186
+        * Tag 0x48 (72), sz: 98, Service descriptor:
187
+        *   Service type : digital radio service
188
+        *   Provider name: "PROddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddVIDER" (size: 88)
189
+        *   Service name : "SERVICE" (size: 7)
190
+    * [07/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
191
+        * Tag 0x48 (72), sz: 18, Service descriptor:
192
+        *   Service type : digital radio service
193
+        *   Provider name: "PROVIDER" (size: 8)
194
+        *   Service name : "SERVICE" (size: 7)
195
+    * [08/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
196
+        * Tag 0x48 (72), sz: 80, Service descriptor:
197
+        *   Service type : digital radio service
198
+        *   Provider name: "PROVIDER" (size: 8)
199
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
200
+    * [09/58] Service_id: 000d (13) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 100/
201
+        * Tag 0x48 (72), sz: 98, Service descriptor:
202
+        *   Service type : digital radio service
203
+        *   Provider name: "PROddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddVIDER" (size: 88)
204
+        *   Service name : "SERVICE" (size: 7)
205
+    * [10/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
206
+        * Tag 0x48 (72), sz: 18, Service descriptor:
207
+        *   Service type : digital radio service
208
+        *   Provider name: "PROVIDER" (size: 8)
209
+        *   Service name : "SERVICE" (size: 7)
210
+    * [11/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
211
+        * Tag 0x48 (72), sz: 80, Service descriptor:
212
+        *   Service type : digital radio service
213
+        *   Provider name: "PROVIDER" (size: 8)
214
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
215
+    * [12/58] Service_id: 000d (13) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 100/
216
+        * Tag 0x48 (72), sz: 98, Service descriptor:
217
+        *   Service type : digital radio service
218
+        *   Provider name: "PROddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddVIDER" (size: 88)
219
+        *   Service name : "SERVICE" (size: 7)
220
+    * [13/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
221
+        * Tag 0x48 (72), sz: 18, Service descriptor:
222
+        *   Service type : digital radio service
223
+        *   Provider name: "PROVIDER" (size: 8)
224
+        *   Service name : "SERVICE" (size: 7)
225
+    * [14/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
226
+        * Tag 0x48 (72), sz: 80, Service descriptor:
227
+        *   Service type : digital radio service
228
+        *   Provider name: "PROVIDER" (size: 8)
229
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
230
+    * [15/58] Service_id: 000d (13) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 100/
231
+        * Tag 0x48 (72), sz: 98, Service descriptor:
232
+        *   Service type : digital radio service
233
+        *   Provider name: "PROddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddVIDER" (size: 88)
234
+        *   Service name : "SERVICE" (size: 7)
235
+    * [16/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
236
+        * Tag 0x48 (72), sz: 18, Service descriptor:
237
+        *   Service type : digital radio service
238
+        *   Provider name: "PROVIDER" (size: 8)
239
+        *   Service name : "SERVICE" (size: 7)
240
+    * [17/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
241
+        * Tag 0x48 (72), sz: 80, Service descriptor:
242
+        *   Service type : digital radio service
243
+        *   Provider name: "PROVIDER" (size: 8)
244
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
245
+    * [18/58] Service_id: 000d (13) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 100/
246
+        * Tag 0x48 (72), sz: 98, Service descriptor:
247
+        *   Service type : digital radio service
248
+        *   Provider name: "PROddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddVIDER" (size: 88)
249
+        *   Service name : "SERVICE" (size: 7)
250
+    * [19/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
251
+        * Tag 0x48 (72), sz: 18, Service descriptor:
252
+        *   Service type : digital radio service
253
+        *   Provider name: "PROVIDER" (size: 8)
254
+        *   Service name : "SERVICE" (size: 7)
255
+    * [20/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
256
+        * Tag 0x48 (72), sz: 80, Service descriptor:
257
+        *   Service type : digital radio service
258
+        *   Provider name: "PROVIDER" (size: 8)
259
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
260
+    * [21/58] Service_id: 000d (13) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 100/
261
+        * Tag 0x48 (72), sz: 98, Service descriptor:
262
+        *   Service type : digital radio service
263
+        *   Provider name: "PROddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddVIDER" (size: 88)
264
+        *   Service name : "SERVICE" (size: 7)
265
+    * [22/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
266
+        * Tag 0x48 (72), sz: 18, Service descriptor:
267
+        *   Service type : digital radio service
268
+        *   Provider name: "PROVIDER" (size: 8)
269
+        *   Service name : "SERVICE" (size: 7)
270
+    * [23/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
271
+        * Tag 0x48 (72), sz: 80, Service descriptor:
272
+        *   Service type : digital radio service
273
+        *   Provider name: "PROVIDER" (size: 8)
274
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
275
+    * [24/58] Service_id: 000d (13) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 100/
276
+        * Tag 0x48 (72), sz: 98, Service descriptor:
277
+        *   Service type : digital radio service
278
+        *   Provider name: "PROddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddVIDER" (size: 88)
279
+        *   Service name : "SERVICE" (size: 7)
280
+    * [25/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
281
+        * Tag 0x48 (72), sz: 18, Service descriptor:
282
+        *   Service type : digital radio service
283
+        *   Provider name: "PROVIDER" (size: 8)
284
+        *   Service name : "SERVICE" (size: 7)
285
+    * [26/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
286
+        * Tag 0x48 (72), sz: 80, Service descriptor:
287
+        *   Service type : digital radio service
288
+        *   Provider name: "PROVIDER" (size: 8)
289
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
290
+    * [27/58] Service_id: 000d (13) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 100/
291
+        * Tag 0x48 (72), sz: 98, Service descriptor:
292
+        *   Service type : digital radio service
293
+        *   Provider name: "PROddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddVIDER" (size: 88)
294
+        *   Service name : "SERVICE" (size: 7)
295
+    * [28/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
296
+        * Tag 0x48 (72), sz: 18, Service descriptor:
297
+        *   Service type : digital radio service
298
+        *   Provider name: "PROVIDER" (size: 8)
299
+        *   Service name : "SERVICE" (size: 7)
300
+    * [29/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
301
+        * Tag 0x48 (72), sz: 80, Service descriptor:
302
+        *   Service type : digital radio service
303
+        *   Provider name: "PROVIDER" (size: 8)
304
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
305
+    * [30/58] Service_id: 000d (13) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 100/
306
+        * Tag 0x48 (72), sz: 98, Service descriptor:
307
+        *   Service type : digital radio service
308
+        *   Provider name: "PROddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddVIDER" (size: 88)
309
+        *   Service name : "SERVICE" (size: 7)
310
+    * [31/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
311
+        * Tag 0x48 (72), sz: 18, Service descriptor:
312
+        *   Service type : digital radio service
313
+        *   Provider name: "PROVIDER" (size: 8)
314
+        *   Service name : "SERVICE" (size: 7)
315
+    * [32/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
316
+        * Tag 0x48 (72), sz: 80, Service descriptor:
317
+        *   Service type : digital radio service
318
+        *   Provider name: "PROVIDER" (size: 8)
319
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
320
+    * [33/58] Service_id: 000d (13) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 100/
321
+        * Tag 0x48 (72), sz: 98, Service descriptor:
322
+        *   Service type : digital radio service
323
+        *   Provider name: "PROddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddVIDER" (size: 88)
324
+        *   Service name : "SERVICE" (size: 7)
325
+    * [34/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
326
+        * Tag 0x48 (72), sz: 18, Service descriptor:
327
+        *   Service type : digital radio service
328
+        *   Provider name: "PROVIDER" (size: 8)
329
+        *   Service name : "SERVICE" (size: 7)
330
+    * [35/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
331
+        * Tag 0x48 (72), sz: 80, Service descriptor:
332
+        *   Service type : digital radio service
333
+        *   Provider name: "PROVIDER" (size: 8)
334
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
335
+    * [36/58] Service_id: 000d (13) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 100/
336
+        * Tag 0x48 (72), sz: 98, Service descriptor:
337
+        *   Service type : digital radio service
338
+        *   Provider name: "PROddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddVIDER" (size: 88)
339
+        *   Service name : "SERVICE" (size: 7)
340
+    * [37/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
341
+        * Tag 0x48 (72), sz: 18, Service descriptor:
342
+        *   Service type : digital radio service
343
+        *   Provider name: "PROVIDER" (size: 8)
344
+        *   Service name : "SERVICE" (size: 7)
345
+    * [38/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
346
+        * Tag 0x48 (72), sz: 80, Service descriptor:
347
+        *   Service type : digital radio service
348
+        *   Provider name: "PROVIDER" (size: 8)
349
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
350
+    * [39/58] Service_id: 000d (13) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 100/
351
+        * Tag 0x48 (72), sz: 98, Service descriptor:
352
+        *   Service type : digital radio service
353
+        *   Provider name: "PROddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddVIDER" (size: 88)
354
+        *   Service name : "SERVICE" (size: 7)
355
+    * [40/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
356
+        * Tag 0x48 (72), sz: 18, Service descriptor:
357
+        *   Service type : digital radio service
358
+        *   Provider name: "PROVIDER" (size: 8)
359
+        *   Service name : "SERVICE" (size: 7)
360
+    * [41/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
361
+        * Tag 0x48 (72), sz: 80, Service descriptor:
362
+        *   Service type : digital radio service
363
+        *   Provider name: "PROVIDER" (size: 8)
364
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
365
+    * [42/58] Service_id: 000d (13) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 100/
366
+        * Tag 0x48 (72), sz: 98, Service descriptor:
367
+        *   Service type : digital radio service
368
+        *   Provider name: "PROddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddVIDER" (size: 88)
369
+        *   Service name : "SERVICE" (size: 7)
370
+    * [43/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
371
+        * Tag 0x48 (72), sz: 18, Service descriptor:
372
+        *   Service type : digital radio service
373
+        *   Provider name: "PROVIDER" (size: 8)
374
+        *   Service name : "SERVICE" (size: 7)
375
+    * [44/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
376
+        * Tag 0x48 (72), sz: 80, Service descriptor:
377
+        *   Service type : digital radio service
378
+        *   Provider name: "PROVIDER" (size: 8)
379
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
380
+    * [45/58] Service_id: 000d (13) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 100/
381
+        * Tag 0x48 (72), sz: 98, Service descriptor:
382
+        *   Service type : digital radio service
383
+        *   Provider name: "PROddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddVIDER" (size: 88)
384
+        *   Service name : "SERVICE" (size: 7)
385
+    * [46/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
386
+        * Tag 0x48 (72), sz: 18, Service descriptor:
387
+        *   Service type : digital radio service
388
+        *   Provider name: "PROVIDER" (size: 8)
389
+        *   Service name : "SERVICE" (size: 7)
390
+    * [47/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
391
+        * Tag 0x48 (72), sz: 80, Service descriptor:
392
+        *   Service type : digital radio service
393
+        *   Provider name: "PROVIDER" (size: 8)
394
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
395
+    * [48/58] Service_id: 000d (13) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 100/
396
+        * Tag 0x48 (72), sz: 98, Service descriptor:
397
+        *   Service type : digital radio service
398
+        *   Provider name: "PROddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddVIDER" (size: 88)
399
+        *   Service name : "SERVICE" (size: 7)
400
+    * [49/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
401
+        * Tag 0x48 (72), sz: 18, Service descriptor:
402
+        *   Service type : digital radio service
403
+        *   Provider name: "PROVIDER" (size: 8)
404
+        *   Service name : "SERVICE" (size: 7)
405
+    * [50/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
406
+        * Tag 0x48 (72), sz: 80, Service descriptor:
407
+        *   Service type : digital radio service
408
+        *   Provider name: "PROVIDER" (size: 8)
409
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
410
+    * [51/58] Service_id: 000d (13) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 100/
411
+        * Tag 0x48 (72), sz: 98, Service descriptor:
412
+        *   Service type : digital radio service
413
+        *   Provider name: "PROddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddVIDER" (size: 88)
414
+        *   Service name : "SERVICE" (size: 7)
415
+    * [52/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
416
+        * Tag 0x48 (72), sz: 18, Service descriptor:
417
+        *   Service type : digital radio service
418
+        *   Provider name: "PROVIDER" (size: 8)
419
+        *   Service name : "SERVICE" (size: 7)
420
+    * [53/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
421
+        * Tag 0x48 (72), sz: 80, Service descriptor:
422
+        *   Service type : digital radio service
423
+        *   Provider name: "PROVIDER" (size: 8)
424
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
425
+    * [54/58] Service_id: 000d (13) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 100/
426
+        * Tag 0x48 (72), sz: 98, Service descriptor:
427
+        *   Service type : digital radio service
428
+        *   Provider name: "PROddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddVIDER" (size: 88)
429
+        *   Service name : "SERVICE" (size: 7)
430
+    * [55/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
431
+        * Tag 0x48 (72), sz: 18, Service descriptor:
432
+        *   Service type : digital radio service
433
+        *   Provider name: "PROVIDER" (size: 8)
434
+        *   Service name : "SERVICE" (size: 7)
435
+    * [56/58] Service_id: 0009 (9) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 82/
436
+        * Tag 0x48 (72), sz: 80, Service descriptor:
437
+        *   Service type : digital radio service
438
+        *   Provider name: "PROVIDER" (size: 8)
439
+        *   Service name : "SERVICE33333333333333333333333333333333333333333333333333333333333333" (size: 69)
440
+    * [57/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
441
+        * Tag 0x48 (72), sz: 18, Service descriptor:
442
+        *   Service type : digital radio service
443
+        *   Provider name: "PROVIDER" (size: 8)
444
+        *   Service name : "SERVICE" (size: 7)
445
+    * [58/58] Service_id: 0007 (7) Res1: 63 EIT_schedule: 0 EIT_present: 1 Running_status: 4 free_CA_mode: 1 /es_info_size: 20/
446
+        * Tag 0x48 (72), sz: 18, Service descriptor:
447
+        *   Service type : digital radio service
448
+        *   Provider name: "PROVIDER" (size: 8)
449
+        *   Service name : "SERVICE" (size: 7)
450
+   **** SDT (tspacket->struct) generator is correct ****
451
+   **** SDT (struct->tspacket) generator is correct ****
452
+CAT table
453
+*** tei:0 pusi:1 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
454
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
455
+  * Section header
456
+    - Table id           : 001 (1) conditional_access_section
457
+    - Section length     : 0b8 (184)
458
+    - TS ID / Program No : 0001 (1)
459
+    - Version number 1, current next 1, section number 0, last section number 0
460
+    - CRC 0x0516db3c
461
+    - Private vars       : num_packets:2 section_pos:0
462
+  * EIT data
463
+    * PID             : 0x0012 (18)
464
+    * ts_stream_id    : 0x0002 (2)
465
+    * org_network_id  : 0x0003 (3)
466
+    * seg_last_sec_num: 0
467
+    * last_table_id   : 0x01 (1)
468
+    * num_streams     : 1
469
+    * Event_id [01/01]
470
+      - Event_id  : 0x0004 (4)
471
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
472
+      - Duration  : 01:00:00 (0x010000)
473
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 157/
474
+        * Tag 0x4d (77), sz: 155, Short event descriptor:
475
+        *   Lang : bul
476
+        *   Event: "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 95)
477
+        *   Text : "yyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyy****" (size: 55)
478
+   **** EIT (tspacket->struct) generator is correct ****
479
+   **** EIT (struct->tspacket) generator is correct ****
480
+CAT table
481
+*** tei:0 pusi:1 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
482
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
483
+  * Section header
484
+    - Table id           : 001 (1) conditional_access_section
485
+    - Section length     : 0b6 (182)
486
+    - TS ID / Program No : 0001 (1)
487
+    - Version number 1, current next 1, section number 0, last section number 0
488
+    - CRC 0xd025e111
489
+    - Private vars       : num_packets:2 section_pos:0
490
+  * EIT data
491
+    * PID             : 0x0012 (18)
492
+    * ts_stream_id    : 0x0002 (2)
493
+    * org_network_id  : 0x0003 (3)
494
+    * seg_last_sec_num: 0
495
+    * last_table_id   : 0x01 (1)
496
+    * num_streams     : 1
497
+    * Event_id [01/01]
498
+      - Event_id  : 0x0004 (4)
499
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
500
+      - Duration  : 01:00:00 (0x010000)
501
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 155/
502
+        * Tag 0x4d (77), sz: 153, Short event descriptor:
503
+        *   Lang : bul
504
+        *   Event: "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 95)
505
+        *   Text : "yyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyy**" (size: 53)
506
+   **** EIT (tspacket->struct) generator is correct ****
507
+   **** EIT (struct->tspacket) generator is correct ****
508
+CAT table
509
+*** tei:0 pusi:1 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
510
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
511
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
512
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
513
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
514
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
515
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
516
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
517
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
518
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
519
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
520
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
521
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
522
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
523
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
524
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
525
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
526
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
527
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
528
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
529
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
530
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
531
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
532
+  * Section header
533
+    - Table id           : 001 (1) conditional_access_section
534
+    - Section length     : ffd (4093)
535
+    - TS ID / Program No : 0001 (1)
536
+    - Version number 1, current next 1, section number 0, last section number 0
537
+    - CRC 0x24acd242
538
+    - Private vars       : num_packets:23 section_pos:0
539
+  * EIT data
540
+    * PID             : 0x0012 (18)
541
+    * ts_stream_id    : 0x0002 (2)
542
+    * org_network_id  : 0x0003 (3)
543
+    * seg_last_sec_num: 0
544
+    * last_table_id   : 0x01 (1)
545
+    * num_streams     : 16
546
+    * Event_id [01/16]
547
+      - Event_id  : 0x0004 (4)
548
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
549
+      - Duration  : 01:00:00 (0x010000)
550
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
551
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
552
+        *   Lang : bul
553
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
554
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
555
+    * Event_id [02/16]
556
+      - Event_id  : 0x0004 (4)
557
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
558
+      - Duration  : 01:00:00 (0x010000)
559
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
560
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
561
+        *   Lang : bul
562
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
563
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
564
+    * Event_id [03/16]
565
+      - Event_id  : 0x0004 (4)
566
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
567
+      - Duration  : 01:00:00 (0x010000)
568
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
569
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
570
+        *   Lang : bul
571
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
572
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
573
+    * Event_id [04/16]
574
+      - Event_id  : 0x0004 (4)
575
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
576
+      - Duration  : 01:00:00 (0x010000)
577
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
578
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
579
+        *   Lang : bul
580
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
581
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
582
+    * Event_id [05/16]
583
+      - Event_id  : 0x0004 (4)
584
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
585
+      - Duration  : 01:00:00 (0x010000)
586
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
587
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
588
+        *   Lang : bul
589
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
590
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
591
+    * Event_id [06/16]
592
+      - Event_id  : 0x0004 (4)
593
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
594
+      - Duration  : 01:00:00 (0x010000)
595
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
596
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
597
+        *   Lang : bul
598
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
599
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
600
+    * Event_id [07/16]
601
+      - Event_id  : 0x0004 (4)
602
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
603
+      - Duration  : 01:00:00 (0x010000)
604
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
605
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
606
+        *   Lang : bul
607
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
608
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
609
+    * Event_id [08/16]
610
+      - Event_id  : 0x0004 (4)
611
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
612
+      - Duration  : 01:00:00 (0x010000)
613
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
614
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
615
+        *   Lang : bul
616
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
617
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
618
+    * Event_id [09/16]
619
+      - Event_id  : 0x0004 (4)
620
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
621
+      - Duration  : 01:00:00 (0x010000)
622
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
623
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
624
+        *   Lang : bul
625
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
626
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
627
+    * Event_id [10/16]
628
+      - Event_id  : 0x0004 (4)
629
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
630
+      - Duration  : 01:00:00 (0x010000)
631
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
632
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
633
+        *   Lang : bul
634
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
635
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
636
+    * Event_id [11/16]
637
+      - Event_id  : 0x0004 (4)
638
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
639
+      - Duration  : 01:00:00 (0x010000)
640
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
641
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
642
+        *   Lang : bul
643
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
644
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
645
+    * Event_id [12/16]
646
+      - Event_id  : 0x0004 (4)
647
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
648
+      - Duration  : 01:00:00 (0x010000)
649
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
650
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
651
+        *   Lang : bul
652
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
653
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
654
+    * Event_id [13/16]
655
+      - Event_id  : 0x0004 (4)
656
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
657
+      - Duration  : 01:00:00 (0x010000)
658
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
659
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
660
+        *   Lang : bul
661
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
662
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
663
+    * Event_id [14/16]
664
+      - Event_id  : 0x0004 (4)
665
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
666
+      - Duration  : 01:00:00 (0x010000)
667
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
668
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
669
+        *   Lang : bul
670
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
671
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
672
+    * Event_id [15/16]
673
+      - Event_id  : 0x0004 (4)
674
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
675
+      - Duration  : 01:00:00 (0x010000)
676
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
677
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
678
+        *   Lang : bul
679
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
680
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
681
+    * Event_id [16/16]
682
+      - Event_id  : 0x0004 (4)
683
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
684
+      - Duration  : 01:00:00 (0x010000)
685
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 61/
686
+        * Tag 0x4d (77), sz: 59, Short event descriptor:
687
+        *   Lang : bul
688
+        *   Event: "00000000000000000000000" (size: 23)
689
+        *   Text : "1111111111111111111111111111111" (size: 31)
690
+   **** EIT (tspacket->struct) generator is correct ****
691
+   **** EIT (struct->tspacket) generator is correct ****
692
+CAT table
693
+*** tei:0 pusi:1 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
694
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
695
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
696
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
697
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
698
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
699
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
700
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
701
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
702
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
703
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
704
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
705
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
706
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
707
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
708
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
709
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
710
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
711
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
712
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
713
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
714
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
715
+*** tei:0 pusi:0 prio:0 pid:0012 (18) scramble:0 adapt:0 payload:1 adapt_len:0 adapt_flags:0 | pofs:4 plen:184
716
+  * Section header
717
+    - Table id           : 001 (1) conditional_access_section
718
+    - Section length     : fd3 (4051)
719
+    - TS ID / Program No : 0001 (1)
720
+    - Version number 1, current next 1, section number 0, last section number 0
721
+    - CRC 0x50b27439
722
+    - Private vars       : num_packets:23 section_pos:0
723
+  * EIT data
724
+    * PID             : 0x0012 (18)
725
+    * ts_stream_id    : 0x0002 (2)
726
+    * org_network_id  : 0x0003 (3)
727
+    * seg_last_sec_num: 0
728
+    * last_table_id   : 0x01 (1)
729
+    * num_streams     : 16
730
+    * Event_id [01/16]
731
+      - Event_id  : 0x0004 (4)
732
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
733
+      - Duration  : 01:00:00 (0x010000)
734
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
735
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
736
+        *   Lang : bul
737
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
738
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
739
+    * Event_id [02/16]
740
+      - Event_id  : 0x0004 (4)
741
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
742
+      - Duration  : 01:00:00 (0x010000)
743
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
744
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
745
+        *   Lang : bul
746
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
747
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
748
+    * Event_id [03/16]
749
+      - Event_id  : 0x0004 (4)
750
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
751
+      - Duration  : 01:00:00 (0x010000)
752
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
753
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
754
+        *   Lang : bul
755
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
756
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
757
+    * Event_id [04/16]
758
+      - Event_id  : 0x0004 (4)
759
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
760
+      - Duration  : 01:00:00 (0x010000)
761
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
762
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
763
+        *   Lang : bul
764
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
765
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
766
+    * Event_id [05/16]
767
+      - Event_id  : 0x0004 (4)
768
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
769
+      - Duration  : 01:00:00 (0x010000)
770
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
771
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
772
+        *   Lang : bul
773
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
774
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
775
+    * Event_id [06/16]
776
+      - Event_id  : 0x0004 (4)
777
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
778
+      - Duration  : 01:00:00 (0x010000)
779
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
780
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
781
+        *   Lang : bul
782
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
783
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
784
+    * Event_id [07/16]
785
+      - Event_id  : 0x0004 (4)
786
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
787
+      - Duration  : 01:00:00 (0x010000)
788
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
789
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
790
+        *   Lang : bul
791
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
792
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
793
+    * Event_id [08/16]
794
+      - Event_id  : 0x0004 (4)
795
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
796
+      - Duration  : 01:00:00 (0x010000)
797
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
798
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
799
+        *   Lang : bul
800
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
801
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
802
+    * Event_id [09/16]
803
+      - Event_id  : 0x0004 (4)
804
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
805
+      - Duration  : 01:00:00 (0x010000)
806
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
807
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
808
+        *   Lang : bul
809
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
810
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
811
+    * Event_id [10/16]
812
+      - Event_id  : 0x0004 (4)
813
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
814
+      - Duration  : 01:00:00 (0x010000)
815
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
816
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
817
+        *   Lang : bul
818
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
819
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
820
+    * Event_id [11/16]
821
+      - Event_id  : 0x0004 (4)
822
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
823
+      - Duration  : 01:00:00 (0x010000)
824
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
825
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
826
+        *   Lang : bul
827
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
828
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
829
+    * Event_id [12/16]
830
+      - Event_id  : 0x0004 (4)
831
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
832
+      - Duration  : 01:00:00 (0x010000)
833
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
834
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
835
+        *   Lang : bul
836
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
837
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
838
+    * Event_id [13/16]
839
+      - Event_id  : 0x0004 (4)
840
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
841
+      - Duration  : 01:00:00 (0x010000)
842
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
843
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
844
+        *   Lang : bul
845
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
846
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
847
+    * Event_id [14/16]
848
+      - Event_id  : 0x0004 (4)
849
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
850
+      - Duration  : 01:00:00 (0x010000)
851
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
852
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
853
+        *   Lang : bul
854
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
855
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
856
+    * Event_id [15/16]
857
+      - Event_id  : 0x0004 (4)
858
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
859
+      - Duration  : 01:00:00 (0x010000)
860
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 255/
861
+        * Tag 0x4d (77), sz: 253, Short event descriptor:
862
+        *   Lang : bul
863
+        *   Event: "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" (size: 115)
864
+        *   Text : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" (size: 133)
865
+    * Event_id [16/16]
866
+      - Event_id  : 0x0004 (4)
867
+      - Start_time: 2009-02-13 23:31:30 (0xd65b233130) ts: 1234567890
868
+      - Duration  : 01:00:00 (0x010000)
869
+      - Running_status: 4 free_CA_mode: 0 /desc_size: 19/
870
+        * Tag 0x4d (77), sz: 17, Short event descriptor:
871
+        *   Lang : bul
872
+        *   Event: "aaaaaaaaBBBB" (size: 12)
873
+        *   Text : "" (size: 0)
874
+   **** EIT (tspacket->struct) generator is correct ****
875
+   **** EIT (struct->tspacket) generator is correct ****

+ 21 - 0
tstest_valgrind View File

@@ -0,0 +1,21 @@
1
+#!/bin/sh
2
+
3
+ulimit -c unlimited
4
+
5
+valgrind \
6
+	--log-file=tstest-$(date +%F-%H:%M:%S)-valgrind.log \
7
+	--leak-check=full \
8
+	--show-reachable=yes \
9
+	--undef-value-errors=no \
10
+	--trace-children=yes \
11
+	--run-libc-freeres=yes \
12
+	--time-stamp=yes \
13
+		-- \
14
+	./tstest > tstest.test.now
15
+diff -u tstest.test.expect tstest.test.now
16
+if [ $? != 0 ]
17
+then
18
+	echo "DIFFERENCE!"
19
+else
20
+	echo "OK"
21
+fi